LIBJXL

Loading...
Searching...
No Matches
Classes | Enumerations
codestream_header.h File Reference
JPEG XL library (libjxl) » Image and frame metadata

Definitions of structs and enums for the metadata from the JPEG XL codestream headers (signature, metadata, preview dimensions, ...), excluding color encoding which is in color_encoding.h. More...

`#include <jxl/types.h>`
`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for codestream_header.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | JxlPreviewHeader
struct | JxlAnimationHeader
struct | JxlBasicInfo
struct | JxlExtraChannelInfo
struct | JxlHeaderExtensions
struct | JxlBlendInfo
struct | JxlLayerInfo
struct | JxlFrameHeader

## Enumerations
enum | JxlOrientation { JXL_ORIENT_IDENTITY = 1 , JXL_ORIENT_FLIP_HORIZONTAL = 2 , JXL_ORIENT_ROTATE_180 = 3 , JXL_ORIENT_FLIP_VERTICAL = 4 , JXL_ORIENT_TRANSPOSE = 5 , JXL_ORIENT_ROTATE_90_CW = 6 , JXL_ORIENT_ANTI_TRANSPOSE = 7 , JXL_ORIENT_ROTATE_90_CCW = 8 }
enum | JxlExtraChannelType { JXL_CHANNEL_ALPHA , JXL_CHANNEL_DEPTH , JXL_CHANNEL_SPOT_COLOR , JXL_CHANNEL_SELECTION_MASK , JXL_CHANNEL_BLACK , JXL_CHANNEL_CFA , JXL_CHANNEL_THERMAL , JXL_CHANNEL_RESERVED0 , JXL_CHANNEL_RESERVED1 , JXL_CHANNEL_RESERVED2 , JXL_CHANNEL_RESERVED3 , JXL_CHANNEL_RESERVED4 , JXL_CHANNEL_RESERVED5 , JXL_CHANNEL_RESERVED6 , JXL_CHANNEL_RESERVED7 , JXL_CHANNEL_UNKNOWN , JXL_CHANNEL_OPTIONAL }
enum | JxlBlendMode { JXL_BLEND_REPLACE = 0 , JXL_BLEND_ADD = 1 , JXL_BLEND_BLEND = 2 , JXL_BLEND_MULADD = 3 , JXL_BLEND_MUL = 4 }

## Detailed Description

Definitions of structs and enums for the metadata from the JPEG XL codestream headers (signature, metadata, preview dimensions, ...), excluding color encoding which is in color_encoding.h.